#ifndef _ISOMETRIC_
#define _ISOMETRIC_
typedef struct Viewport Viewport;
#include "common.h"
struct Viewport {
    float x, y;
    float zoom;
};
Viewport* viewport_new(float w, float h);
void viewport_update(Viewport * self, float w, float h);
void project(Viewport * self, float x, float y, float z, float * sx, float * sy);
void unproject(Viewport * self, float sx, float sy, float y, float * x, float * z);
void unproject_y(Viewport * self, float sy, float x, float z, float * y);
#endif
